Subject: bug#37689: Fringe pixmaps, widgets, etc. look ridiculously tiny in hidpi screen

From: Carlos Pita <[email-masked]>
Date: Thu, 10 Oct 2019 10:36:26 -0300

Hi Eli,

> Please go ahead with making such an inventory, and thanks.

I've attached some cases. In general, this seems to be related to
hardcoded pixmaps. One option is to support at lease 1x, 1.5x and 2x
version, using the one that best accommodates to current resolution
(1.5x screens 1920x1080 are quite popular these days). Another options
is to patch the underlying renderer of these pixmaps so that it scales
them although I don't know if there is one single place to patch here.

> Please also verify that the situation hasn't changed in Emacs 27.

Yes, it's exactly the same.